Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder.svg2svg
Class SVGTranscoder

    java.lang.Object
      org.apache.batik.transcoder.TranscoderSupport
          org.apache.batik.transcoder.AbstractTranscoder
              org.apache.batik.transcoder.svg2svg.SVGTranscoder

All Implemented Interfaces:
  Transcoder

    public class SVGTranscoder

extends AbstractTranscoder

This class is a trancoder from SVG to SVG.

Nested Class Summary
`protected static class` | `SVGTranscoder.DoctypeKey` To represent a doctype key.
`protected static class` | `SVGTranscoder.DoctypeValue` To represent a doctype value.
`protected static class` | `SVGTranscoder.NewlineKey` To represent a newline key.
`protected static class` | `SVGTranscoder.NewlineValue` To represent a newline value.

Field Summary
`static ErrorHandler` | `DEFAULT_ERROR_HANDLER` The default error handler.
`static TranscodingHints.Key` | `KEY_DOCTYPE` The key to specify the doctype option.
`static TranscodingHints.Key` | `KEY_DOCUMENT_WIDTH` The key to specify the document width.
`static TranscodingHints.Key` | `KEY_FORMAT` The key to specify whether to format the input.
`static TranscodingHints.Key` | `KEY_NEWLINE` The key to specify the newline character sequence.
`static TranscodingHints.Key` | `KEY_PUBLIC_ID` The key to specify the public id.
`static TranscodingHints.Key` | `KEY_SYSTEM_ID` The key to specify the system id.
`static TranscodingHints.Key` | `KEY_TABULATION_WIDTH` The key to specify the tabulation width.
`static TranscodingHints.Key` | `KEY_XML_DECLARATION` The key to specify the XML declaration option.
`static SVGTranscoder.DoctypeValue` | `VALUE_DOCTYPE_CHANGE` The doctype value to change the declaration.
`static SVGTranscoder.DoctypeValue` | `VALUE_DOCTYPE_KEEP_UNCHANGED` The doctype value to keep unchanged the declaration.
`static SVGTranscoder.DoctypeValue` | `VALUE_DOCTYPE_REMOVE` The doctype value to remove the declaration.
`static Boolean` | `VALUE_FORMAT_OFF` The value to turn off formatting.
`static Boolean` | `VALUE_FORMAT_ON` The value to turn on formatting.
`static SVGTranscoder.NewlineValue` | `VALUE_NEWLINE_CR` The "\r" newline value.
`static SVGTranscoder.NewlineValue` | `VALUE_NEWLINE_CR_LF` The "\r\n" newline value.
`static SVGTranscoder.NewlineValue` | `VALUE_NEWLINE_LF` The "\n" newline value.

Fields inherited from class org.apache.batik.transcoder.TranscoderSupport
`handler, hints`

Constructor Summary
`SVGTranscoder()` Creates a new SVGTranscoder.

Method Summary
`protected void` | `prettyPrint(Reader in, Writer out)` Pretty print the given reader.
`void` | `transcode(TranscoderInput input, TranscoderOutput output)` Transcodes the specified input in the specified output.

Methods inherited from class org.apache.batik.transcoder.TranscoderSupport
`addTranscodingHint, getErrorHandler, getTranscodingHints, removeTranscodingHint, setErrorHandler, setTranscodingHints, setTranscodingHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.transcoder.Transcoder
`addTranscodingHint, getErrorHandler, getTranscodingHints, removeTranscodingHint, setErrorHandler, setTranscodingHints, setTranscodingHints`

Field Detail

### DEFAULT_ERROR_HANDLER

    public static final ErrorHandler DEFAULT_ERROR_HANDLER

  The default error handler.

### KEY_NEWLINE

    public static final TranscodingHints.Key KEY_NEWLINE

  The key to specify the newline character sequence.

### VALUE_NEWLINE_CR

    public static final SVGTranscoder.NewlineValue VALUE_NEWLINE_CR

  The "\r" newline value.

### VALUE_NEWLINE_CR_LF

    public static final SVGTranscoder.NewlineValue VALUE_NEWLINE_CR_LF

  The "\r\n" newline value.

### VALUE_NEWLINE_LF

    public static final SVGTranscoder.NewlineValue VALUE_NEWLINE_LF

  The "\n" newline value.

### KEY_FORMAT

    public static final TranscodingHints.Key KEY_FORMAT

  The key to specify whether to format the input.

### VALUE_FORMAT_ON

    public static final Boolean VALUE_FORMAT_ON

  The value to turn on formatting.

### VALUE_FORMAT_OFF

    public static final Boolean VALUE_FORMAT_OFF

  The value to turn off formatting.

### KEY_TABULATION_WIDTH

    public static final TranscodingHints.Key KEY_TABULATION_WIDTH

  The key to specify the tabulation width.

### KEY_DOCUMENT_WIDTH

    public static final TranscodingHints.Key KEY_DOCUMENT_WIDTH

  The key to specify the document width.

### KEY_DOCTYPE

    public static final TranscodingHints.Key KEY_DOCTYPE

  The key to specify the doctype option.

### VALUE_DOCTYPE_CHANGE

    public static final SVGTranscoder.DoctypeValue VALUE_DOCTYPE_CHANGE

  The doctype value to change the declaration.

### VALUE_DOCTYPE_REMOVE

    public static final SVGTranscoder.DoctypeValue VALUE_DOCTYPE_REMOVE

  The doctype value to remove the declaration.

### VALUE_DOCTYPE_KEEP_UNCHANGED

    public static final SVGTranscoder.DoctypeValue VALUE_DOCTYPE_KEEP_UNCHANGED

  The doctype value to keep unchanged the declaration.

### KEY_PUBLIC_ID

    public static final TranscodingHints.Key KEY_PUBLIC_ID

  The key to specify the public id.

### KEY_SYSTEM_ID

    public static final TranscodingHints.Key KEY_SYSTEM_ID

  The key to specify the system id.

### KEY_XML_DECLARATION

    public static final TranscodingHints.Key KEY_XML_DECLARATION

  The key to specify the XML declaration option.

Constructor Detail

### SVGTranscoder

    public SVGTranscoder()

  Creates a new SVGTranscoder.

Method Detail

### transcode

    public void transcode(TranscoderInput input,
                          TranscoderOutput output)
                   throws TranscoderException

  Transcodes the specified input in the specified output.

  Parameters:
    `input` - the input to transcode
    `output` - the ouput where to transcode
  Throws:
    `TranscoderException` - if an error occured while transcoding

### prettyPrint

    protected void prettyPrint(Reader in,
                               Writer out)
                        throws TranscoderException

  Pretty print the given reader.

  Throws:
    `TranscoderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.